function vexalarm.options.rw.content.panel()
	return {
		type = "group",
		args = {
			grptestmode = {
				name = "Testmode",
				order=1, type ="group", dialogInline = true,
				args = {
					testmode = {
						name = "Activate",
						order=1, type = "toggle", width="double",
						set = function(info,val) vexalarm.testmode.handler(val) end,
						get = function() return vexalarm.testmode.activated end,
						},
					testmodeinfo = {name = "- Simulates Event outputs. The spell/spell-profile adjustments\nfor the frames are still active.\n- Frames become movable\n- Frames and Outputpositions become recolored", type = "description", order=2, width="double"},
					edit = {name ='\nAny changes will be saved in profile: "|CFF008000'..vexalarm_SV_data["profile"]..'|r"', type = "description", order=5, width="normal"},
					},
				},
			frame_space_testmode = {name ="\n", type = "description", order=2},
			grpRW = {
				type = "group",
				name = "Raid Warnings", dialogInline = true,
				order = 5,
				args = {	
					rwprofile = {
					name = "General spell-profile",
						order=1, type = "select", style = "dropdown", width="double",
						values = vexalarm.options.spells.profiles.getList(false),
						set = function(self,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["spellProfile"] = val vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["spellProfile"] end,
						},
					spdng1 = {
						name = "Independent Profile: Dungeons",
						desc = "Use another spellprofile to track spells when in a dungeon",
						order=10, type = "toggle", width="double",
						set = function(info,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["dng"][1] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["dng"][1] end,
						},
					spdng2 = {
						name = "Spell-Profile",
						order=11, type = "select", style = "dropdown", width="normal",
						values = vexalarm.options.spells.profiles.getList(false), disabled = not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["dng"][1]),
						set = function(self,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["dng"][2] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["dng"][2] end,
						},
					spcm1 = {
						name = "Independent Profile: Challenge Mode",
						desc = "Use another spellprofile to track spells when in a challenge mode",
						order=20, type = "toggle", width="double",
						set = function(info,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["cm"][1] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["cm"][1] end,
						},
					spcm2 = {
						name = "Spell-Profile",
						order=21, type = "select", style = "dropdown", width="normal",
						values = vexalarm.options.spells.profiles.getList(false), disabled = not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["cm"][1]),
						set = function(self,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["cm"][2] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["cm"][2] end,
						},
					spraid1 = {
						name = "Independent Profile: Raid dungeon",
						desc = "Use another spellprofile to track spells when in a raid dungeon",
						order=30, type = "toggle", width="double",
						set = function(info,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["raid"][1] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["raid"][1] end,
						},
					spraid2 = {
						name = "Spell-Profile",
						order=31, type = "select", style = "dropdown", width="normal",
						values = vexalarm.options.spells.profiles.getList(false), disabled = not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["raid"][1]),
						set = function(self,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["raid"][2] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["raid"][2] end,
						},
					spbg1 = {
						name = "Independent Profile: BG",
						desc = "Use another spellprofile to track spells when in a battleground",
						order=40, type = "toggle", width="double",
						set = function(info,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["bg"][1] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["bg"][1] end,
						},
					spbg2 = {
						name = "Spell-Profile",
						order=41, type = "select", style = "dropdown", width="normal",
						values = vexalarm.options.spells.profiles.getList(false), disabled = not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["bg"][1]),
						set = function(self,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["bg"][2] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["bg"][2] end,
						},
					sparena1 = {
						name = "Independent Profile: Arena",
						desc = "Use another spellprofile to track spells when in an arena",
						order=50, type = "toggle", width="double",
						set = function(info,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["arena"][1] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["arena"][1] end,
						},
					sparena2 = {
						name = "Spell-Profile",
						order=51, type = "select", style = "dropdown", width="normal",
						values = vexalarm.options.spells.profiles.getList(false), disabled = not(vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["arena"][1]),
						set = function(self,val) vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["arena"][2] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
						get = function() return vexalarm_SV_profileData[vexalarm_SV_data["profile"]]["rw"]["spellsToCheck"]["arena"][2] end,
						},
					}
				}
			}
		}
end
